AdminBenchmark runsRunid

Детали одного прогона с per-iteration результатами (для карточки в админке — «что распозналось / где упало»).

GET
/Admin/benchmark-runs/{runId}
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Path Parameters

runId*string
Formatuuid

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/Admin/benchmark-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "run": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "benchmark_id": "f1254acf-0c77-40a6-91d2-a34bd4970fd9",
    "benchmark_title": "string",
    "model_type_code": "string",
    "status": "Initial",
    "trigger": "Scheduled",
    "triggered_by_user_id": "6b6a84b3-6fe8-41b4-838a-daa23e33b05f",
    "error_message": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "recorded_at": "2019-08-24T14:15:22Z",
    "total_duration_ms": 0,
    "item_count": 0,
    "initial_count": 0,
    "running_count": 0,
    "completed_count": 0,
    "failed_count": 0,
    "stopped_count": 0
  },
  "items": [
    {
      "item": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "benchmark_run_id": "7bd0d9ab-9782-4030-ae33-fe3a0546446c",
        "benchmark_id": "f1254acf-0c77-40a6-91d2-a34bd4970fd9",
        "benchmark_title": "string",
        "model_type_code": "string",
        "model_version_id": "337b5de9-de8e-4f60-90b9-4857763aa5cd",
        "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
        "model_name": "string",
        "model_code": "string",
        "model_version": "string",
        "gateway_code": "string",
        "status": "Initial",
        "error_message": "string",
        "sample_count": 0,
        "success_count": 0,
        "failed_samples": 0,
        "created_at": "2019-08-24T14:15:22Z",
        "recorded_at": "2019-08-24T14:15:22Z",
        "total_duration_ms": 0,
        "avg_ttft_ms": 0,
        "p50_ttft_ms": 0,
        "p95_ttft_ms": 0,
        "avg_total_ms": 0,
        "p50_total_ms": 0,
        "p95_total_ms": 0,
        "avg_tokens_per_sec": 0,
        "p50_tokens_per_sec": 0,
        "p95_tokens_per_sec": 0,
        "avg_prompt_tokens": 0,
        "avg_completion_tokens": 0,
        "wer": 0,
        "cer": 0,
        "avg_rtfx": 0,
        "wer_by_case": {
          "property1": 0.1,
          "property2": 0.1
        }
      },
      "results": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "sort_index": 0,
          "stt_benchmark_sample_id": "f9260318-0031-4274-a06d-f6e54ff649d7",
          "stt_benchmark_sample_title": "string",
          "stt_benchmark_sample_case": "Quiet",
          "status": "Initial",
          "error_message": "string",
          "duration_ms": 0,
          "ttft_ms": 0,
          "tokens_per_sec": 0,
          "prompt_tokens": 0,
          "completion_tokens": 0,
          "completion": "string",
          "hypothesis": "string",
          "wer": 0,
          "cer": 0,
          "rtfx": 0,
          "substitutions": 0,
          "deletions": 0,
          "insertions": 0,
          "ref_word_count": 0
        }
      ]
    }
  ]
}